### Assignment 302
# Unlock from a Lockbox

## Step 1: Complete Lesson 302.3
[Lesson 302.3](/modules/302/3023) is a guided example of how to write a Plutus Contract with time constraints. When you test the "Lockbox Contract" on Preprod, you'll create on-chain evidence that you got it to work.

## Step 2: Share Evidence of Success
Fill out [this form](https://forms.gle/rdJ1vYeW1ZoCT7Ci7), then Commit to Module 301 using the button on this page.

<br />
---
<br />

# Contribution Coming Soon:
This Assignment is a starting point for what is coming soon in Plutus PBL 2023. During Q4 2023 and Q1 2024, we will start to roll out opportunities for you to contribute to Plutus PBL, to Gimbalabs, and to [Andamio](https://andamio.io). When we do, there will be new "Projects" posted in Module 302, and in the additional 300-Level Modules that follow.

import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;